error_log                       /var/log/nginx/error.log warn;
#pid                             /var/run/nginx.pid; # it permit you to use /etc/init.d/nginx reload|restart|stop|start

events {
    worker_connections          1024;
}

http {
    include                     /etc/nginx/mime.types;
    default_type                application/octet-stream;
    sendfile                    on;
    access_log                  /var/log/nginx/access.log;
    keepalive_timeout           3000;
    types_hash_max_size 20480;
    proxy_connect_timeout       3600;
    proxy_send_timeout          600;
    proxy_read_timeout          3600;
    send_timeout                600;
    server {
        listen                  80;
        # root                    /home/smartrefer;
        index                   index.html index.htm;
        server_name             localhost;
        client_max_body_size    32m;
        error_page              500 502 503 504  /50x.html;
        location = /50x.html {
              root              /var/lib/nginx/html;
        }

        location / {
          proxy_pass http://smartrefer-app:4200;
          proxy_set_header Host $http_host;
          proxy_set_header X-Real-IP $remote_addr;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
          proxy_set_header X-Forwarded-Proto $scheme;
          proxy_set_header X-NginX-Proxy true;
          proxy_redirect off;
          rewrite ^/(.*)$ /$1 break;
        }

        location /api/ {
          proxy_pass http://smartrefer-api:3004;
          proxy_set_header Host $http_host;
          proxy_set_header X-Real-IP $remote_addr;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
          proxy_set_header X-Forwarded-Proto $scheme;
          proxy_set_header X-NginX-Proxy true;
          proxy_redirect off;
          rewrite ^/api/(.*)$ /$1 break;
        }

        location /coc/ {
          proxy_pass http://smartrefer-coc:4201;
          proxy_set_header Host $http_host;
          proxy_set_header X-Real-IP $remote_addr;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
          proxy_set_header X-Forwarded-Proto $scheme;
          proxy_set_header X-NginX-Proxy true;
          proxy_redirect off;
          rewrite ^/coc/(.*)$ /$1 break;
        } 
    }
}
